Loading...
Searching...
No Matches
Gudhi::Persistence_representations::PSSK Class Reference

`#include <include/gudhi/PSSK.h>`

## Additional Inherited Members

Public Member Functions inherited from Gudhi::Persistence_representations::Persistence_heat_maps< constant_scaling_function >
| Persistence_heat_maps ()
| Persistence_heat_maps (const std::vector< std::pair< double, double > > &interval, std::vector< std::vector< double > > filter=create_Gaussian_filter(5, 1), bool erase_below_diagonal=false, size_t number_of_pixels=1000, double min_=std::numeric_limits< double >::max(), double max_=std::numeric_limits< double >::max())
| Persistence_heat_maps (const char *filename, std::vector< std::vector< double > > filter=create_Gaussian_filter(5, 1), bool erase_below_diagonal=false, size_t number_of_pixels=1000, double min_=std::numeric_limits< double >::max(), double max_=std::numeric_limits< double >::max(), unsigned dimension=std::numeric_limits< unsigned >::max())
| Persistence_heat_maps (const std::vector< std::pair< double, double > > &interval, const std::function< double(std::pair< double, double >, std::pair< double, double >)> &kernel, size_t number_of_x_pixels, size_t number_of_y_pixels, double min_x=0, double max_x=1, double min_y=0, double max_y=1)
| Persistence_heat_maps (const std::vector< std::pair< double, double > > &interval, const std::function< double(std::pair< double, double >, std::pair< double, double >)> &kernel)
void | compute_mean (const std::vector< Persistence_heat_maps * > &maps)
void | compute_median (const std::vector< Persistence_heat_maps * > &maps)
void | compute_percentage_of_active (const std::vector< Persistence_heat_maps * > &maps, size_t cutoff=1)
void | print_to_file (const char *filename) const
void | load_from_file (const char *filename)
bool | check_if_the_same (const Persistence_heat_maps &second) const
double | get_min () const
double | get_max () const
bool | operator== (const Persistence_heat_maps &rhs) const
bool | operator!= (const Persistence_heat_maps &rhs) const
void | plot (const char *filename) const
Persistence_heat_maps | multiply_by_scalar (double scalar) const
Persistence_heat_maps | operator* (double scalar)
Persistence_heat_maps | operator+= (const Persistence_heat_maps &rhs)
Persistence_heat_maps | operator-= (const Persistence_heat_maps &rhs)
Persistence_heat_maps | operator*= (double x)
Persistence_heat_maps | operator/= (double x)
std::vector< double > | vectorize (int number_of_function) const
size_t | number_of_vectorize_functions () const
double | project_to_R (int number_of_function) const
size_t | number_of_projections_to_R () const
double | distance (const Persistence_heat_maps &second_, double power=1) const
void | compute_average (const std::vector< Persistence_heat_maps * > &to_average)
double | compute_scalar_product (const Persistence_heat_maps &second_) const
std::pair< double, double > | get_x_range () const
std::pair< double, double > | get_y_range () const

## Detailed Description

This is a version of a representation presented in https://arxiv.org/abs/1412.6821 In that paper the authors are using the representation just to compute kernel. Over here, we extend the usability by far. Note that the version presented here is not exact, since we are discretizing the kernel. The only difference with respect to the original class is the method of creation. We have full (square) image, and for every point (p,q), we add a kernel at (p,q) and the negative kernel at (q,p)

Examples
  persistence_heat_maps/create_pssk.cpp.

The documentation for this class was generated from the following file:

- include/gudhi/PSSK.h